Class ApiKeyAuth
java.lang.Object
de.xima.fc.api.rest.pub.client.user.auth.ApiKeyAuth
- All Implemented Interfaces:
Authentication
@Generated("de.xima.openapi.codegen.java_jaxrs.XimaJavaJaxrsGenerator")
public final class ApiKeyAuth
extends Object
implements Authentication
An authentication that uses a given API key for authentication.
-
Constructor Summary
ConstructorsConstructorDescriptionApiKeyAuth(String location, String paramName, String apiKey, String apiKeyPrefix) A new authentication that uses the given API key for authentication. -
Method Summary
Modifier and TypeMethodDescriptionapiKey()voidapplyToParams(ApiCall<?> call) Apply authentication settings to header and query params.location()withApiKey(String apiKey) withApiKeyPrefix(String apiKeyPrefix)
-
Constructor Details
-
ApiKeyAuth
A new authentication that uses the given API key for authentication.- Parameters:
location- How to send the token, one ofquery,header, orcookie.paramName- The name of the query, header, or cookie parameter with the API key.apiKey- API key to send.apiKeyPrefix- Prefix of the API key to send.
-
-
Method Details
-
location
- Returns:
- location How to send the token, one of
query,header, orcookie.
-
paramName
- Returns:
- paramName The name of the query, header, or cookie parameter with the API key.
-
apiKey
- Returns:
- apiKey API key to send.
-
apiKeyPrefix
- Returns:
- apiKey Prefix of the API key to send.
-
withApiKey
- Parameters:
apiKey- The API key to use for authentication.- Returns:
- A new immutable instance with the new data.
-
withApiKeyPrefix
- Parameters:
apiKeyPrefix- The prefix for the API key to use for authentication.- Returns:
- A new immutable instance with the new data.
-
applyToParams
Description copied from interface:AuthenticationApply authentication settings to header and query params.- Specified by:
applyToParamsin interfaceAuthentication- Parameters:
call- API call with all parameters that can be modified.
-